Skip to main content
GET
/
{chain_id}
/
api
/
v2
/
proxy
/
account-abstraction
/
operations
/
{operation_hash_param}
/
summary
Get a human-readable, LLM-based user operation summary
curl --request GET \
  --url https://api.blockscout.com/{chain_id}/api/v2/proxy/account-abstraction/operations/{operation_hash_param}/summary \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "summaries": [
      {
        "summary_template": "<string>",
        "summary_template_variables": {}
      }
    ]
  },
  "success": true
}

Authorizations

Authorization
string
header
required

API key passed as a Bearer token in the Authorization header.

Path Parameters

operation_hash_param
string
required

User operation hash in the path

Pattern: ^0x([A-Fa-f0-9]{64})$
chain_id
string
required

The ID of the blockchain

Query Parameters

just_request_body
boolean

If true, returns only the request body in the summary endpoint

Response

Human-readable summary of the specified user operation.

data
object
required
success
boolean
required